<div class="logo"><img src="assets/logoVisaal.jpg" width=400px height=100px;></div>

<div class="sidenav">
  <div *ngIf="authService.currentUser">
    <h5 class="text-primary soignant">Le Soignant</h5>
    <!--<h4>
      <strong>ID:</strong> {{ authService.currentUserId }}
    </h4>-->
    <h4>
      <strong>Email:</strong> {{ authService.currentUserName }}
    </h4>
    <br>
    <div>
      <button (click)="ListePatient()" class="btn btn-info">Liste des patients</button>
    </div>
    <br>
    <div>
      <button (click)="accueil()" class="btn btn-info">Accueil</button>
    </div>
    <br>
    <button (click)="disco()" class="btn btn-info">Deconnexion</button>
  </div>
</div>

<div class="col-md-3 wrapper">
  <h2 class="text-center">Ajouter un patient</h2>
  <form [formGroup]="addForm" (ngSubmit)="onSubmit()">
    <div class="form-group">
      <label>Civilité</label>
      <select type="text" formControlName="sex" placeholder="M. ou Mme">
        <option value="monsieur" label="Monsieur"></option>
        <option value="madame" label="Madame"></option>
        <div *ngIf="submitted && addForm.get('sex').invalid" class="errors">Veuillez saisir le sex du patient</div>
      </select>
    </div>
    <div class="form-group">
      <label>Nom:</label>
      <input type="text" formControlName="lastName" placeholder="Nom" class="form-control">
        <div *ngIf="submitted && addForm.get('lastName').invalid" class="errors">Veuillez saisir le nom du patient</div>
      </div>
    <div class="form-group">
      <label>Prenom:</label>
      <input type="text" formControlName="firstName" placeholder="firstName" class="form-control">
        <div *ngIf="submitted && addForm.get('firstName').invalid" class="errors">Veuillez saisir le prenom du patient</div>
    </div>
    <div class="form-group">
      <label>Date de naissance:</label>
      <input type="date" formControlName="dateOfBirthday" placeholder="Date de naissance" class="form-control">
        <div *ngIf="submitted && addForm.get('dateOfBirthday').invalid" class="errors">Veuillez saisir l'age du patient</div>
    </div>

    <div class="form-group">
      <label>Service:</label>
      <input type="text" formControlName="service" placeholder="le service" class="form-control">

        <div *ngIf="submitted && addForm.get('service').invalid" class="errors">Veuillez saisir le service du patient du patient</div>
    </div>
    <div class="form-group">
      <label>Etage:</label>
      <input type="number" formControlName="floor" placeholder="l'etage" class="form-control">
        <div *ngIf="submitted && addForm.get('floor').invalid" class="errors">Veuillez saisir l'etage où se trouve le patient</div>
    </div>
    <div class="form-group">
      <label>N° de chambre</label>
      <input type="number" formControlName="numberOfRoom" placeholder="N° de chambre" class="form-control">
        <div *ngIf="submitted && addForm.get('numberOfRoom').invalid" class="errors">Veuillez saisir l'etage où se trouve le patient</div>
    </div>
    <div class="form-group">
      <label>N° du lit:</label>
      <input type="number" formControlName="numberOfBed" placeholder="N° du lit" class="form-control">
        <div *ngIf="submitted && addForm.get('numberOfBed').invalid" class="errors">Veuillez saisir le numero de lit du patient</div>
    </div>
    <div class="form-group">
      <label>N° de l'appareil</label>
      <input type="number" formControlName="numberOfDevice" placeholder="numero de l'appareil" class="form-control">
        <div *ngIf="submitted && addForm.get('numberOfDevice').invalid" class="errors">Veuillez saisir le numero d'appareil du patient</div>
    </div>
    <button type="submit"  class="btn btn-info">Ajouter</button>
  </form>
</div>


